package com.bonus.canteen.core.device.manage.controller.deprecated.vo;

import io.swagger.annotations.ApiModelProperty;

public class MacTcpStateVo extends MachineCounterVO {
   private Integer ifOnline;
   private String lastSendTime;
   private Integer menuState;
   private Integer recipeSendType;
   private Integer menuWeight;
   private String menuName;
   private Integer menuNo;
   private String menuUpTime;
   @ApiModelProperty("菜品基础单价")
   private Integer price;
   @ApiModelProperty("称重单位多少克")
   private Integer unitPrice;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salesMode;
   @ApiModelProperty("菜品单价")
   private Integer menuPrice;

   public Integer getIfOnline() {
      return this.ifOnline;
   }

   public String getLastSendTime() {
      return this.lastSendTime;
   }

   public Integer getMenuState() {
      return this.menuState;
   }

   public Integer getRecipeSendType() {
      return this.recipeSendType;
   }

   public Integer getMenuWeight() {
      return this.menuWeight;
   }

   public String getMenuName() {
      return this.menuName;
   }

   public Integer getMenuNo() {
      return this.menuNo;
   }

   public String getMenuUpTime() {
      return this.menuUpTime;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getMenuPrice() {
      return this.menuPrice;
   }

   public void setIfOnline(final Integer ifOnline) {
      this.ifOnline = ifOnline;
   }

   public void setLastSendTime(final String lastSendTime) {
      this.lastSendTime = lastSendTime;
   }

   public void setMenuState(final Integer menuState) {
      this.menuState = menuState;
   }

   public void setRecipeSendType(final Integer recipeSendType) {
      this.recipeSendType = recipeSendType;
   }

   public void setMenuWeight(final Integer menuWeight) {
      this.menuWeight = menuWeight;
   }

   public void setMenuName(final String menuName) {
      this.menuName = menuName;
   }

   public void setMenuNo(final Integer menuNo) {
      this.menuNo = menuNo;
   }

   public void setMenuUpTime(final String menuUpTime) {
      this.menuUpTime = menuUpTime;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setMenuPrice(final Integer menuPrice) {
      this.menuPrice = menuPrice;
   }

   public String toString() {
      Integer var10000 = this.getIfOnline();
      return "MacTcpStateVo(ifOnline=" + var10000 + ", lastSendTime=" + this.getLastSendTime() + ", menuState=" + this.getMenuState() + ", recipeSendType=" + this.getRecipeSendType() + ", menuWeight=" + this.getMenuWeight() + ", menuName=" + this.getMenuName() + ", menuNo=" + this.getMenuNo() + ", menuUpTime=" + this.getMenuUpTime() + ", price=" + this.getPrice() + ", unitPrice=" + this.getUnitPrice() + ", salesMode=" + this.getSalesMode() + ", menuPrice=" + this.getMenuPrice() + ")";
   }
}
